Subject: bug#15626: closed (Re: bug#15626: calc prime test fails for numbers > 8 million)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Oct 2013 03:40:04 +0000

Your bug report

#15626: calc prime test fails for numbers > 8 million

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15626: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15626
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15626: calc prime test fails for numbers > 8 million
From: Jay Belanger <[email-masked]>
To: [email-masked]
Cc: Glenn Morris <[email-masked]>, [email-masked]
Date: Wed, 16 Oct 2013 22:39:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> On x86_64 GNU/Linux:
>
> emacs -Q -f calc
> 8000000 RET
> k p
>   -> Wrong type argument: listp, 8000000
>
> Any number >= 8000000 (but < math-small-integer-size) fails in this way.
>
> The problem is the
>
>   (% (nth 1 n) 2) 0)
>
> of math-prime-test, which still expects numbers larger than 8000000 to
> be in (bigpos ... ) list format, but the limit is much greater than that
> these days.
>
> The calc manual is likewise outdated:

Thanks; this has been fixed in bzr.
(I should increase the size of math-primes-table when I get the chance,
too.)

> (First reported at
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679753 )

Ack; I never saw this.

Subject: calc prime test fails for numbers > 8 million
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 15 Oct 2013 20:32:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.3

On x86_64 GNU/Linux:

emacs -Q -f calc
8000000 RET
k p
  -> Wrong type argument: listp, 8000000

Any number >= 8000000 (but < math-small-integer-size) fails in this way.

The problem is the

  (% (nth 1 n) 2) 0)

of math-prime-test, which still expects numbers larger than 8000000 to
be in (bigpos ... ) list format, but the limit is much greater than that
these days.

The calc manual is likewise outdated:

  19.5.7.1 Data Type Formats
  [...]
  Large integers are stored as lists of the form `(bigpos D0 D1 D2 ...)'
  for positive integers 1000000 or more,

(First reported at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=679753 )